<?php
declare(strict_types=1);

namespace Inti\Wp\Plugin\Container;

use Inti\Wp\Plugin\Service\PluginManager;
use Laminas\ServiceManager\PluginManagerInterface;
use Psr\Container\ContainerInterface;

/**
 * Class PluginManagerFactory
 *
 * @package Inti\Wp\Plugin\Container
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-plugin
 */
final class PluginManagerFactory
{
    public function __invoke(ContainerInterface $container, string $requestedName): PluginManagerInterface
    {
        $config = $container->has('config') ? $container->get('config') : [];
        return new PluginManager($container, $config['wp_plugins'] ?? []);
    }
}
